Skip to content
Dashboard
Theme
Theme

List domains

GET /v1/organizations/{org}/domains: List domains.

View Markdown

GET /v1/organizations/{org}/domains

Scope
domains:read
Auth
Secret key (sk_…)
Since
1.0
  • org string Required

  • limit integer

    min 1 · max 100 · default 20

  • after string

    Cursor from next_cursor.

  • before string

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/organizations/org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/domains" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"id": "dom_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "domain",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"domain": "acme.com",
"state": "pending",
"include_subdomains": true,
"verification_record": {
"type": "TXT",
"name": "Acme Corp",
"value": "enterprise"
},
"verified_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "cur_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}